package edu.upvehu.gbg.babel;

import java.io.IOException;

/**
 * Clase de prueba para la práctica 5 de TAP
 * Se asume que bajo el directorio de ejecución (el del proyecto) está la carpeta "udhr" con la estructura convenida
 * @author Germán
 */
public class Main {
    private static final String REF_LANG="spn";
    private static final int NUM_SIMILARS=10;
 
    public static void main(String[] args) throws IOException {
        Babel babel=new Babel("udhr","languages.txt");
        Language refLang2=babel.getLanguage(REF_LANG);
        for (Language l:babel.findMostSimilars(REF_LANG, NUM_SIMILARS))
            System.out.printf("%20s: %.4f\n",l.getDescriptor(),Language.similarity(refLang2, l));
    }

}